> ## Documentation Index
> Fetch the complete documentation index at: https://studio.assembly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom field options

> Lists the selectable options for a multi-select custom field. Supports
filtering the returned options by label.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/custom-fields/{id}/options
openapi: 3.0.0
info:
  contact: {}
  title: Assembly API
  version: 0.0.1
servers:
  - url: https://api.assembly.com
security: []
paths:
  /v1/custom-fields/{id}/options:
    get:
      tags:
        - Custom Fields
      summary: List custom field options
      description: |-
        Lists the selectable options for a multi-select custom field. Supports
        filtering the returned options by label.
      operationId: list-custom-field-options
      parameters:
        - description: Custom field ID
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Filter options by label (case-insensitive exact match)
          in: query
          name: label
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api.List'
                  - properties:
                      data:
                        items:
                          $ref: >-
                            #/components/schemas/customfields.ClientCustomFieldOption
                        type: array
                    type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing custom field ID or unknown custom field
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing or invalid API key
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Unexpected server error
      security:
        - APIKeyHeader: []
components:
  schemas:
    api.List:
      properties:
        data:
          items: {}
          nullable: true
          type: array
        nextToken:
          description: base64 encoded JSON representing a NextToken
          type: string
      type: object
    customfields.ClientCustomFieldOption:
      properties:
        color:
          description: Color is the display color for the option.
          example: rgba(204, 0, 0, 1)
          type: string
        id:
          description: ID is the unique identifier of the option.
          example: f1a2b3c4-d5e6-47a8-9b0c-1d2e3f4a5b6c
          format: uuid
          type: string
        key:
          description: >-
            Key is a "human-readable" alternative to ID

            uniqueness must be enforced against other option key values for a
            given custom field
          example: highPriority
          type: string
        label:
          description: Label is the human-readable text shown for the option.
          example: High priority
          type: string
        object:
          description: Object is the resource type discriminator.
          example: customFieldOption
          type: string
      type: object
    dispatcher.Error:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````